###################################################
### chunk number 1: 
###################################################
options(width=60)


###################################################
### chunk number 2: 
###################################################
library(pegas)
x <- read.loci("toto", header = FALSE)
x
print(x, details = TRUE)
class(x)


###################################################
### chunk number 3: 
###################################################
y <- read.loci("titi", header = FALSE, allele.sep = "-")
print(y, details = TRUE)
identical(x, y)


###################################################
### chunk number 4: 
###################################################
args(read.loci)


###################################################
### chunk number 5: 
###################################################
print(read.loci("tutu", FALSE), TRUE)


###################################################
### chunk number 6: 
###################################################
z <- read.loci("tata", loci.sep = "\t", col.loci = 1:2, col.pop = 3, row.names = 1)
z
print(z, details = TRUE)


###################################################
### chunk number 7: 
###################################################
getAlleles(z)


###################################################
### chunk number 8: 
###################################################
attr(z, "locicol")


###################################################
### chunk number 9: 
###################################################
str(z)


###################################################
### chunk number 10: 
###################################################
file.copy(system.file("files/nancycats.dat", package = "adegenet"), getwd())
file.copy(system.file("files/nancycats.gtx", package = "adegenet"), getwd())
file.copy(system.file("files/nancycats.gen", package = "adegenet"), getwd())
file.copy(system.file("files/nancycats.str", package = "adegenet"), getwd())


###################################################
### chunk number 11: 
###################################################
A <- read.fstat("nancycats.dat", quiet = TRUE)
B <- read.genetix("nancycats.gtx", quiet = TRUE)
C <- read.genepop("nancycats.gen", quiet = TRUE)


###################################################
### chunk number 12: 
###################################################
D <- read.structure("nancycats.str", onerowperind=FALSE, n.ind=237, n.loc=9, col.lab=1, col.pop=2, ask=FALSE, quiet=TRUE)


###################################################
### chunk number 13: 
###################################################
identical(A@tab, C@tab)
identical(B@tab, D@tab)


###################################################
### chunk number 14: 
###################################################
unlink(c("nancycats.dat", "nancycats.gtx", "nancycats.gen", "nancycats.str"))


